function mean_u=MeanKmeans(uu,k)

%the number of parts

%   This program is using the K-means method to compute the means of the k
%   phases.
%    
%   Usage: th=MeanKmeans(uu,k);
%
%   Inputs: 
%       - uu: image
%       - k: the number of phases of uu

%
%   Outputs: 
%       - mean_u: the k means
% 
%
%   Code by: Xiaohao Cai
%   Last updated: 22/03/2013






% k-means method to separate the given image into k parts
[xLen,yLen,zLen]=size(uu);
v=zeros(xLen*yLen,zLen);
for i=1:zLen
    temp=uu(:,:,i);
    v(:,i)=temp(:);
end
% idx=kmeans(v,k); 
idx=kmeans(v,k,'Replicates',5);

% compute the mean of each part
for i=1:k
    for j=1:zLen
        temp=(i==idx).*v(:,j);
        temp_c(j)=sum(temp(:))/(sum(temp(:)>0));
    end
    mean_u{i}=temp_c;
end


