function mean_u_s=SortMultiVec(mean_u)
%--------------------------------------------------------------------------
%   This program is sorting the multi-vectors using the alphabetical order.
%    
%   Usage: mean_u_s=SortMultiVec(mean_u);
%
%   Inputs: 
%       - mean_u: input multi-vectors 
%
%   Outputs: 
%       - mean_u_s: ordered multi-vectors
% 
%   Code by: Xiaohao Cai
%   Last updated: 18/06/2014 
%--------------------------------------------------------------------------



% 
vecNum=length(mean_u);
lenVec=length(mean_u{1});
v=zeros(1,vecNum);

for j=1:vecNum
    for i=1:lenVec
        v(j) = v(j) + mean_u{j}(i)*10^(lenVec-i);       
    end
end
[Y,I] = sort(v);
mean_u_s=mean_u(I);





